### Signal

# Ide SourceView::begin-macro

#### Declaration

    void
    begin_macro (
      IdeSourceView* self,
      gpointer user_data
    )

#### Description

This signal will begin recording input to the `IdeSourceView`. This includes the current `IdeSourceViewMode`, `IdeSourceView:count` and `IdeSourceView:modifier` which will be used to replay the sequence starting from the correct state.

Pair this with an emission of `IdeSourceView::end-macro` to complete the sequence.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32